Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSerarch/FrmConstrSerarch.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSerarch/FrmConstrSerarch.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSerarch/FrmConstrSerarch.cs	(revision 267)
@@ -0,0 +1,377 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmConstrSerarch : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #endregion
+
+        #region 変数
+
+        #region 終了状態
+        /// <summary>
+        /// 終了状態
+        /// </summary>
+        private DialogResult m_EndStatus = DialogResult.Cancel;
+        #endregion
+
+        #region 初期表示位置
+        /// <summary>
+        /// 初期表示位置
+        /// </summary>
+        private Point m_InitPoint = new Point();
+        #endregion
+
+        #region 営業期の表示制御
+        /// <summary>
+        /// 営業期の表示制御
+        /// </summary>
+        private bool m_DispPeriod = true;
+        #endregion
+
+        #region 営業期
+        /// <summary>
+        /// 営業期
+        /// </summary>
+        private int m_Period = 0;
+        #endregion
+
+        #region 見積年月の表示制御
+        /// <summary>
+        /// 見積年月の表示制御
+        /// </summary>
+        private bool m_DispEstimateMonth = true;
+        #endregion
+
+        #region 見積年月
+        /// <summary>
+        /// 見積年月
+        /// </summary>
+        private string m_EstimateMonth = string.Empty;
+        #endregion
+
+        #region 発注者
+        /// <summary>
+        /// 発注者
+        /// </summary>
+        private string m_Orderer = string.Empty;
+        #endregion
+
+        #region 工事名称
+        /// <summary>
+        /// 工事名称
+        /// </summary>
+        private string m_ConstructionName = string.Empty;
+        #endregion
+
+        #region 処理番号
+        /// <summary>
+        /// 処理番号
+        /// </summary>
+        private int m_ProcessNo = 0;
+        #endregion
+
+        #region タブ番号
+        /// <summary>
+        /// タブ番号
+        /// </summary>
+        private int m_ProcessTabCnt = 0;
+        #endregion
+
+        #endregion
+
+        #region プロパティ
+
+        #region 終了状態
+        /// <summary>
+        /// 終了状態
+        /// </summary>
+        public DialogResult EndStatus
+        {
+            get { return m_EndStatus; }
+            set { m_EndStatus = value; }
+        }
+        #endregion
+
+        #region 初期表示位置
+        /// <summary>
+        /// 初期表示位置
+        /// </summary>
+        public Point InitPoint
+        {
+            get { return m_InitPoint; }
+            set { m_InitPoint = value; }
+        }
+        #endregion
+
+        #region 営業期の表示制御
+        /// <summary>
+        /// 営業期の表示制御
+        /// </summary>
+        public bool DispPeriod
+        {
+            get { return m_DispPeriod; }
+            set { m_DispPeriod = value; }
+        }
+        #endregion
+
+        #region 営業期
+        /// <summary>
+        /// 営業期
+        /// </summary>
+        public int Period
+        {
+            get { return m_Period; }
+            set { m_Period = value; }
+        }
+        #endregion
+
+        #region 見積年月の表示制御
+        /// <summary>
+        /// 見積年月の表示制御
+        /// </summary>
+        public bool DispEstimateMonth
+        {
+            get { return m_DispEstimateMonth; }
+            set { m_DispEstimateMonth = value; }
+        }
+        #endregion
+
+        #region 見積年月
+        /// <summary>
+        /// 見積年月
+        /// </summary>
+        public string EstimateMonth
+        {
+            get { return m_EstimateMonth; }
+            set { m_EstimateMonth = value; }
+        }
+        #endregion
+
+        #region 発注者
+        /// <summary>
+        /// 発注者
+        /// </summary>
+        public string Orderer
+        {
+            get { return m_Orderer; }
+            set { m_Orderer = value; }
+        }
+        #endregion
+
+        #region 工事名称
+        /// <summary>
+        /// 工事名称
+        /// </summary>
+        public string ConstructionName
+        {
+            get { return m_ConstructionName; }
+            set { m_ConstructionName = value; }
+        }
+        #endregion
+
+        #region 処理番号
+        /// <summary>
+        /// 処理番号
+        /// </summary>
+        public int ProcessNo
+        {
+            get { return m_ProcessNo; }
+            set { m_ProcessNo = value; }
+        }
+        #endregion
+
+        #region タブ番号
+        /// <summary>
+        /// タブ番号
+        /// </summary>
+        public int ProcessTabCnt
+        {
+            get { return m_ProcessTabCnt; }
+            set { m_ProcessTabCnt = value; }
+        }
+        #endregion
+
+        #endregion
+
+        #region コンストラクタ
+        public FrmConstrSerarch()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmConstrSerarch()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+        
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstrSerarch_Load(object sender, EventArgs e)
+        {
+            try
+            {
+                SetInitPoint();
+                SetInitnumUDConstPro();     // データ期取得
+                SetcmbEstiDate();           // 見積もり年月取得
+                numUDConstPro.ValueChanged += new System.EventHandler(this.numUDConstPro_ValueChanged);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region フォーム終了
+        /// <summary>
+        /// フォーム終了
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstrSerarch_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstrSerarch_KeyDown(object sender, KeyEventArgs e)
+        {
+            //AltかCtrlキーが押されている時は無視する
+            if (e.Alt || e.Control) return;
+
+            //Enterキーが押されているか確認
+            if (e.KeyCode == Keys.Enter)
+            {
+                //あたかもTabキーが押されたかのようにする。
+                // Shiftが押されている時は前のコントロールへフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+            // 以下の動きはTextBoxのみ
+            if (!ActiveControl.GetType().Equals(typeof(TextBox)) && !ActiveControl.GetType().Equals(typeof(TextBoxEX))) return;
+
+            if (e.KeyCode == Keys.Up)
+            {
+                this.ProcessTabKey(false);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+            if (e.KeyCode == Keys.Down)
+            {
+                this.ProcessTabKey(true);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            // 終了状態
+            m_EndStatus = DialogResult.Cancel;
+
+            this.Close();
+        }
+        #endregion
+
+        #region 実行ボタン
+        /// <summary>
+        /// 実行ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExec_Click(object sender, EventArgs e)
+        {
+            // 営業期
+            m_Period = (int)numUDConstPro.Value;
+            // 見積年月
+            m_EstimateMonth = CommonMotions.cnvString(cmbEstiDate.SelectedValue);
+            // 発注者
+            m_Orderer = textBox1.Text;
+            // 工事名称
+            m_ConstructionName = textBox2.Text;
+
+            // 終了状態
+            m_EndStatus = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 営業期変更
+        /// <summary>
+        /// 営業期変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        {
+            SetcmbEstiDate();           // 見積もり年月取得
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSerarch/FrmConstrSerarchAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSerarch/FrmConstrSerarchAux.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSerarch/FrmConstrSerarchAux.cs	(revision 267)
@@ -0,0 +1,395 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmConstrSerarch
+    {
+        #region フォーム表示位置セット
+        /// <summary>
+        /// フォーム表示位置セット
+        /// </summary>
+        private void SetInitPoint()
+        {
+            try
+            {
+                Point ThisPO = this.Location;
+                ThisPO.X = m_InitPoint.X;
+                ThisPO.Y = m_InitPoint.Y;
+                this.Location = ThisPO;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 営業年の表示制御
+        /// <summary>
+        /// 営業年の表示制御
+        /// </summary>
+        /// <returns></returns>
+        private bool DisplayPeriod()
+        {
+            try
+            {
+                if (m_DispPeriod) return true;
+
+                label4.Visible = false;
+                label7.Visible = false;
+                label8.Visible = false;
+                numUDConstPro.Visible = false;
+
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 対象年度初期セット
+        /// <summary>
+        /// 対象年度初期セット
+        /// </summary>
+        private void SetInitnumUDConstPro()
+        {
+            try
+            {
+                // 営業期表示制御
+                if (!DisplayPeriod()) return;
+                
+                // 検索年度セット
+                // データにある事業期と現在の事業セット
+                int minval = 0;
+                int maxval = 0;
+                CommonMotions.GetPeriodYear(ref minval, ref maxval);
+                numUDConstPro.Minimum = minval;
+                numUDConstPro.Maximum = maxval;
+                numUDConstPro.Value = m_Period;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 見積年月の表示制御
+        /// <summary>
+        /// 見積年月の表示制御
+        /// </summary>
+        /// <returns></returns>
+        private bool DisplayEstiDate()
+        {
+            try
+            {
+                if (m_DispEstimateMonth) return true;
+
+                label2.Visible = false;
+                cmbEstiDate.Visible = false;
+
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 見積年月のセット
+        /// <summary>
+        /// 見積年月のセット
+        /// </summary>
+        private void SetcmbEstiDate()
+        {
+            IOEstimateData DateDB = new IOEstimateData();
+            try
+            {
+                // 見積年月の表示制御
+                if (!DisplayEstiDate()) return;
+
+                cmbEstiDate.DataSource = null;
+                cmbEstiDate.Items.Clear();
+                cmbEstiDate.Text = "";
+
+                StringBuilder strSQL = new StringBuilder();
+                // 見積書データ・工事情報より対象を検索する
+                strSQL.Append("Select DATE_FORMAT(Base.EstimatesSubmittedDate, '%Y/%m') As EstMonth");
+                strSQL.Append(" From estimatedata As Estimate");
+                strSQL.Append(" Left Join constructionbaseinfo As Base");
+                strSQL.Append(" ON Base.ConstructionCode = Estimate.ConstructionCode");
+
+                strSQL.Append(" Left Join personinchargemaster AS PersonA ON PersonA.PersonCode = Base.ConstructionPersonCode");
+                strSQL.Append(" Left Join personinchargemaster AS PersonB ON PersonB.PersonCode = Base.ConstrSubPersonCode");
+                strSQL.Append(" Left Join personinchargemaster AS PersonC ON PersonC.PersonCode = Base.ConstructionInstructor");
+                strSQL.Append(" Left Join personinchargemaster AS PersonD ON PersonD.PersonCode = Base.SalesPersonCode");
+                
+                strSQL.AppendFormat(" WHERE DATE(Base.EstimatesSubmittedDate) <> STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
+                if (m_DispPeriod) strSQL.AppendFormat(" And Base.ConstructionPeriod = {0}", numUDConstPro.Value);
+
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
+                {
+                    // 参照部署マスタより取得する
+                    strSQL.Append(" And (");
+                    strSQL.Append(" PersonA.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1");
+                    strSQL.AppendFormat(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL.Append(" Or PersonB.DEPARTMENTCODE IN (SELECT B1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER B1");
+                    strSQL.AppendFormat(" WHERE B1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL.Append(" Or PersonC.DEPARTMENTCODE IN (SELECT C1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER C1");
+                    strSQL.AppendFormat(" WHERE C1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL.Append(" Or PersonD.DEPARTMENTCODE IN (SELECT D1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER D1");
+                    strSQL.AppendFormat(" WHERE D1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL.Append(")");
+                }
+
+                // ステータスでの検索条件を追加する
+                strSQL.Append(CreateStatusSQL(CreateStatusList()));
+                
+                // メニューの見積り系は追加処理
+                strSQL.Append(CreateOhterSQL());
+
+                strSQL.Append(" Group By DATE_FORMAT(Base.EstimatesSubmittedDate, '%Y%m')");
+                strSQL.Append(" Order By EstMonth");
+
+                // データ読込
+                ArrayList arList = new ArrayList();
+                if (!DateDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
+
+                List<KeyValuePair<string, string>> EstimateDataList = new List<KeyValuePair<string, string>>();
+                EstimateDataList.Add(new KeyValuePair<string, string>("", ""));
+
+                foreach (object[] work in arList)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(CommonMotions.cnvString(work[0]).Replace("/", "")
+                                                                                    , CommonMotions.cnvString(work[0]));
+
+                    EstimateDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbEstiDate, EstimateDataList);
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                DateDB.close(); DateDB = null;
+            }
+        }
+        #endregion
+
+        #region その他の処理SQL作成
+        /// <summary>
+        /// その他の処理SQL作成
+        /// </summary>
+        /// <returns></returns>
+        private string CreateOhterSQL()
+        {
+            StringBuilder strSQL = new StringBuilder();
+            try
+            {
+                // メニューの見積り系は追加処理
+                switch (m_ProcessNo)
+                {
+                    case (int)ClsExcute.ProcessExecuteNo.MainMenu:
+                        int EstType = -1;
+                        switch (m_ProcessTabCnt)
+                        {
+                            case (int)FrmMenu.TabNameEnum.Tenders:
+                                // 入札案件一覧情報表示
+                                EstType = (int)ConstructionBaseInfo.EstimateTypeDef.Didding;
+                                break;
+                            case (int)FrmMenu.TabNameEnum.BudgetUpProjects:
+                                // 予算取り案件一覧情報表示
+                                EstType = (int)ConstructionBaseInfo.EstimateTypeDef.GetBudget;
+                                break;
+                            case (int)FrmMenu.TabNameEnum.SalesInProjects:
+                                // 工事案件一覧情報表示
+                                EstType = (int)ConstructionBaseInfo.EstimateTypeDef.Normal;
+                                break;
+                            default:
+                                break;
+                        }
+                        if (EstType > 0) strSQL.AppendFormat(" And EstimateType = {0}", EstType);
+                        break;
+                    default:
+                        break;
+                }
+
+                return strSQL.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message, strSQL);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region ステータス選択ＳＱＬ作成
+        /// <summary>
+        /// ステータス選択ＳＱＬ作成
+        /// </summary>
+        /// <param name="StatusList"></param>
+        /// <returns></returns>
+        private string CreateStatusSQL(List<int> StatusList)
+        {
+            StringBuilder strSQL = new StringBuilder();
+            try
+            {
+                // リストないしは全対象とする
+                if (StatusList.Count < 1) return string.Empty;
+
+                // メニューの見積り系は追加処理
+                switch (m_ProcessNo)
+                {
+                    case (int)ClsExcute.ProcessExecuteNo.MainMenu:
+                        // メインメニュー
+                        switch (m_ProcessTabCnt)
+                        {
+                            case (int)FrmMenu.TabNameEnum.FluctuationProjects:
+                                // 増減工事状況一覧表示
+                                strSQL.AppendFormat(" AND (Base.ConstructionStatusFlg <> {0}", StatusList[0]);
+                                strSQL.AppendFormat(" AND Base.ConstructionStatusFlg < {0})", StatusList[1]);
+                                break;
+                            default:
+                                strSQL.Append(" And (ConstructionStatusFlg In (");
+
+                                for (int i = 0; i < StatusList.Count; i++)
+                                {
+                                    if (i > 0) strSQL.Append(", ");
+                                    strSQL.AppendFormat("{0}", StatusList[i]);
+                                }
+                                strSQL.Append("))");
+                                break;
+                        }
+                        break;
+                    default:
+                        break;
+                }
+
+                return strSQL.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message, strSQL);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 工事ステータスリスト作成
+        /// <summary>
+        /// 工事ステータスリスト作成
+        /// </summary>
+        /// <returns></returns>
+        private List<int> CreateStatusList()
+        {
+            List<int> StatusList = new List<int>();
+            try
+            {
+                switch (m_ProcessNo)
+                {
+                    case (int)ClsExcute.ProcessExecuteNo.MainMenu:
+                        // メニュー
+                        CreateMenuStatList(ref StatusList);
+                        break;
+                    default:
+                        break;
+                }
+                return StatusList;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return StatusList;
+            }
+        }
+        #endregion
+
+        #region メニュー一覧工事ステータスリスト作成
+        /// <summary>
+        /// メニュー一覧工事ステータスリスト作成
+        /// </summary>
+        /// <param name="StatList"></param>
+        private void CreateMenuStatList(ref List<int> StatList)
+        {
+            try
+            {
+                switch (m_ProcessTabCnt)
+                {
+                    case (int)FrmMenu.TabNameEnum.Tenders:
+                        // 入札案件一覧情報表示
+                    case (int)FrmMenu.TabNameEnum.BudgetUpProjects:
+                        // 予算取り案件一覧情報表示
+                    case (int)FrmMenu.TabNameEnum.SalesInProjects:
+                        // 工事案件一覧情報表示
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("依頼受け中")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key);
+                        break;
+                    case (int)FrmMenu.TabNameEnum.FluctuationProjects:
+                        // 増減工事状況一覧表示
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key);
+                        break;
+                    case (int)FrmMenu.TabNameEnum.CompletionOfConstruction:
+                        // 完了工事一覧
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key);
+                        break;
+                    case (int)FrmMenu.TabNameEnum.NonOrders:
+                        // 非受注一覧
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);
+                        break;
+                    case (int)FrmMenu.TabNameEnum.ConstructionProjects:
+                        // 受注状況一覧表示
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("受　　注")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("部署引継")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("空家補修工事")).Key);
+                        StatList.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("Hit'sV工事")).Key);
+                        break;
+                    default:
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSplit/FrmConstructionSplitAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSplit/FrmConstructionSplitAuxiliary.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSplit/FrmConstructionSplitAuxiliary.cs	(revision 267)
@@ -168,7 +168,7 @@
                 }
 
                 // 総務業務使用者がログインしている場合はコンボを空白にする
-                if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)CommonDefine.GeneralAffairs.GeneralDep) return;
+                if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)SecurityMaster.GeneAffDef.GeneralDep) return;
 
                 // 初期設定対象がコンボボックスデータにあればセットする
                 for (int i = 0; i < cmbDepartment.Items.Count; i++)
@@ -518,9 +518,9 @@
                                         (int)CommonDefine.ApprovalStatus.Approval);
                 strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG <> {0}", StatusCode);
                 strSQL += string.Format(" AND (A.CONSTRUCTIONPERIOD = {0})", numUDConstPro.Value);
-                strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
-                strSQL += string.Format(" AND A.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.Standard);
+                strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
+                strSQL += string.Format(" AND A.JOINFLG = {0}", (int)ConstructionBaseInfo.JoinFlgDef.Standard);
                 if (cmbConstructionPerson.Text.Length != 0)
                 {
                     strSQL += string.Format(" AND (A.CONSTRUCTIONPERSONCODE = {0})", GetConstructionPersonCode());
@@ -781,7 +781,7 @@
             try
             {
                 int PeriodValue = 0;
-                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)SystemMaster.ConstrNoBaseDef.BusinessPeriod)
                 {   // ----- 営業期ベースの時
                     // 期数をセット
                     PeriodValue = CommonMotions.SystemMasterData.BusinessPeriod;
@@ -824,15 +824,15 @@
                                         , iCode, false)) return false;
                 // 増減フラグOFF
                 if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.TyingFlg
-                                        , (int)CommonDefine.BaseInfoTyingFlg.Standard, false)) return false;
+                                        , (int)ConstructionBaseInfo.TyingFlgDef.Standard, false)) return false;
                 // 結合フラグOFF
                 if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                        , (int)CommonDefine.BaseInfoJoinFlg.Standard, false)) return false;
+                                        , (int)ConstructionBaseInfo.JoinFlgDef.Standard, false)) return false;
 
                 // ----- 工事情報明細
                 // 名前変更
                 if (!DetailDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfoDetail.TableColumn.DETAILSTRING
-                                            , lblNewName.Text, false, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName)) return false;
+                                            , lblNewName.Text, false, (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName)) return false;
 
                 return true;
             }
